Last Comment Bug 673860 - [Thunderbird] Adding more than one addressee in message composition, we don't create accessibles for the combobox entries starting from address 2
: [Thunderbird] Adding more than one addressee in message composition, we don't...
Status: VERIFIED FIXED
: regression
Product: Core
Classification: Components
Component: Disability Access APIs (show other bugs)
: Trunk
: All All
: -- major (vote)
: mozilla14
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
Depends on: 656225
Blocks: treeupdatea11y
  Show dependency treegraph
 
Reported: 2011-07-25 00:52 PDT by Marco Zehe (:MarcoZ)
Modified: 2012-04-03 03:34 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Marco Zehe (:MarcoZ) 2011-07-25 00:52:29 PDT
STR:
1. Start Thunderbird nightly.
2. Press CTRL+N to start a new message.
3. You land in the textbox where you can enter an address.
4. Shift+Tab to the combo where you can choose whether this is a to: CC: etc., address.
Notice that NVDA will read the entries correctly as you arrow up and down.
5. Choose TO. (which was chosen in the beginning), and tab forward again. Enter an address like my e-mail address.
6. Press ENTER. This will create a new row for a second address.
7. Shift-Tab back again to choose that this new address will be a CC.
Bug: Notice that, when arrowing, NVDA will not announce anything.

Inspection shows that neither the combobox, nor its child accessibles, are being created for this field selection.

This is reproducible 100% of the time when composing a new message, or when replying and adding an address by pressing ENTER after the last current address to add a new one.

I'm also seeing this in Thunderbird 5, so this is probably a regression from the tree creation work we did for Firefox 4.
Comment 1 James Teh [:Jamie] 2011-07-25 01:03:02 PDT
I'm not sure if this is related and haven't had a chance to investigate it myself yet, but NVDA users are also reporting trouble reading the addressee suggestions in the addressee entry fields. See http://www.nvda-project.org/ticket/1623 and http://www.nvda-project.org/ticket/1689
Comment 2 James Teh [:Jamie] 2011-10-09 21:37:44 PDT
I can reproduce this issue, but I see worse than described. I'll intersperse my findings with Marco's original str:

(In reply to Marco Zehe (:MarcoZ) from comment #0)
> 1. Start Thunderbird nightly.
> 2. Press CTRL+N to start a new message.
> 3. You land in the textbox where you can enter an address.
> 4. Shift+Tab to the combo where you can choose whether this is a to: CC:
> etc., address.
> Notice that NVDA will read the entries correctly as you arrow up and down.
> 5. Choose TO. (which was chosen in the beginning), and tab forward again.
> Enter an address like my e-mail address.
> 6. Press ENTER. This will create a new row for a second address.
Actual: Focus is fired on the row accessible for the recipient. The row accessible has no children.
Expected: Focus should be fired on the editable text field for the recipient address, which should be contained in the second cell of the row.
> 7. Shift-Tab back again to choose that this new address will be a CC.
Actual: The focus does not move.
Expected: The focus should move to the combo box for the recipient type, which should be contained in the first cell of the row.

Interestingly:
8. Press tab to move back to the recipient address field.
9. Type a character; e.g. z.
Result: The row loses the focused state. The cells for the two fields magically appear as children of the row. The editable text field inside the combo box inside the second cell gets the focused state as it should, but no focus event is fired.

Tested with Mozilla/5.0 (Windows NT 6.1; WOW64; rv:10.0a1) Gecko/20111007 Thunderbird/10.0a1
Comment 3 Wayne Mery (:wsmwk, NI for questions) 2012-01-20 08:33:31 PST
On the odd/unlikely chance that it might be fixed first and provide relief for this problem, I mention Bug 449299 - (tabbed_composition) Allow opening compose window in new tab (write messages in tabs; writing, composing mail)
Comment 4 Marco Zehe (:MarcoZ) 2012-03-29 08:18:42 PDT
Fixed by bug 656225.
Comment 5 Marco Zehe (:MarcoZ) 2012-03-29 08:19:03 PDT
Verified fixed in Mozilla/5.0 (Windows NT 6.1; WOW64; rv:14.0) Gecko/20120329 Thunderbird/14.0a1

Note You need to log in before you can comment on or make changes to this bug.